using System;
using System.Collections;
using Server;
using Server.Items;
using Server.Gumps;
using Server.Prompts;
using Server.Network;
using Server.ContextMenus;

namespace Server.Mobiles
{
	public class EthyDealer : BaseVendor
	{
		private ArrayList m_SBInfos = new ArrayList();
		protected override ArrayList SBInfos{ get { return m_SBInfos; } }

		[Constructable]
		public EthyDealer() : base( "the Ethereal Mount Dealer" )
		{
			new Emare().Rider = this; 
		}

		public override void InitSBInfo()
		{
			m_SBInfos.Add( new SBEthy() );
		}

		public override VendorShoeType ShoeType
		{
			get{ return VendorShoeType.Sandals; }
		}

		public override int GetShoeHue()
		{
			return 0;
		}

		public override  void InitBody() 
		{
			base.InitBody();
		}

		public override void InitOutfit()
		{
			AddItem( new Server.Items.ShepherdsCrook() );
			AddItem( new Server.Items.FancyShirt( Utility.RandomRedHue() ) );
			AddItem( new Server.Items.Sandals( Utility.RandomRedHue() ) );
			AddItem( new Server.Items.HoodedShroudOfShadows( Utility.RandomGreenHue() ) );
			int hairHue=0x489;
			switch ( Utility.Random( 6 ) )
			{
				case 0: AddItem( new Afro( hairHue ) ); break;
				case 1: AddItem( new PonyTail( hairHue ) ); break;
				case 2: AddItem( new ReceedingHair( hairHue ) ); break;
				case 3: AddItem( new TwoPigTails( hairHue ) ); break;
				case 4: AddItem( new ShortHair( hairHue ) ); break;
				case 5: AddItem( new LongHair( hairHue ) ); break;

			}
		}

		public EthyDealer( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
